首页 云计算

云安全日报210730:Ubuntu PDF转换工具发现任意代码执行漏洞,需要尽快升级

Ubuntu是一个以桌面应用为主的Linux操作系统。它是一个开放源代码的自由软件,提供了一个健壮、功能丰富的计算环境,既适合家庭使用又适用于商业环境。Ubuntu为全球数百个公司提供商业支持。

7月29日,Ubuntu发布了安全更新,修复了PDF转换工具中发现的任意代码执行漏洞。以下是漏洞详情:

漏洞详情

来源:https://ubuntu.com/security/notices/USN-5005-1

1.CVE-2021-36978 严重程度:中

QPDF错误地处理了某些格式错误的PDF文件。远程攻击者可以利用这个问题导致 QPDF 崩溃,导致拒绝服务,或者可能执行任意代码。

2.CVE-2018-18020 严重程度:中

QPDF 错误地处理了某些格式错误的 PDF文件。远程攻击者可以利用此问题导致 QPDF 消耗资源,从而导致拒绝服务。

受影响产品和版本

上述漏洞影响Ubuntu 20.04 LTS, Ubuntu 18.04 LTS

解决方案

可以通过将系统更新为以下软件包版本来解决此问题:

Ubuntu 20.04:

qpdf - 9.1.1-1ubuntu0.1 libqpdf26 - 9.1.1-1ubuntu0.1

Ubuntu 18.04:

qpdf - 8.0.2-3ubuntu0.1 libqpdf21 - 8.0.2-3ubuntu0.1

查看更多漏洞信息以及升级请访问官网:

https://ubuntu.com/security/cve

官方微博/微信

每日头条、业界资讯、热点资讯、八卦爆料,全天跟踪微博播报。各种爆料、内幕、花边、资讯一网打尽。百万互联网粉丝互动参与,TechWeb官方微博期待您的关注。

↑扫描二维码

想在手机上看科技资讯和科技八卦吗?

想第一时间看独家爆料和深度报道吗?

请关注TechWeb官方微信公众帐号:

1.用手机扫左侧二维码;

2.在添加朋友里,搜索关注TechWeb。

手机游戏更多